Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.generic.chained
Class ChainedMoveUtils

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.move.generic.chained.ChainedMoveUtils

    public class ChainedMoveUtils

extends Object

Method Summary
`static void` | `doChainedChange(ScoreDirector scoreDirector, Object entity, PlanningVariableDescriptor variableDescriptor, Object toPlanningValue)`
`static void` | `doReverseSubChainChange(ScoreDirector scoreDirector, SubChain subChain, PlanningVariableDescriptor variableDescriptor, Object toPlanningValue)`
`static void` | `doSubChainChange(ScoreDirector scoreDirector, SubChain subChain, PlanningVariableDescriptor variableDescriptor, Object toPlanningValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### doChainedChange

    public static void doChainedChange(ScoreDirector scoreDirector,
                                       Object entity,
                                       PlanningVariableDescriptor variableDescriptor,
                                       Object toPlanningValue)

### doSubChainChange

    public static void doSubChainChange(ScoreDirector scoreDirector,
                                        SubChain subChain,
                                        PlanningVariableDescriptor variableDescriptor,
                                        Object toPlanningValue)

### doReverseSubChainChange

    public static void doReverseSubChainChange(ScoreDirector scoreDirector,
                                               SubChain subChain,
                                               PlanningVariableDescriptor variableDescriptor,
                                               Object toPlanningValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.